Summary: Simple program that wraps normal socket connections with SSL/TLS
Name: sslwrap
Version: 2.0.5
Release: 3
Copyright: Free
URL: http://www.rickk.com/sslwrap/
Group: Applications/Networking
Source0: http://www.rickk.com/sslwrap/sslwrap.tar.gz
#Patch0: sslwrap202-ssleayloc.patch
Patch0: sslwrap-2.0.5-Makefile.patch
Requires: openssl >= 0.9.3b 
BuildRequires: openssl >= 0.9.3b, openssl-devel >= 0.9.3b
%define VER 205
Buildroot: /var/tmp/sslwrap-root
Prefix: /usr

%description
sslwrap is a simple Unix service that sits over any simple TCP service such
as POP3, IMAP, SMTP, and encrypts all of the data on the connection using
TLS/SSL. It uses OpenSSL to support SSL version 2 and 3. It can run out of
inetd. It can also encrypt data for services located on another computer.

It works with the servers you already have, and does not require any
modifications to your existing servers.

%prep
%setup -n sslwrap%{VER}
#%patch0 -p1 -b .ssleayloc
%patch0 -p1 -b .Makefile

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m755 sslwrap \
	$RPM_BUILD_ROOT/usr/sbin
strip $RPM_BUILD_ROOT/usr/sbin/sslwrap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README docs.html
/usr/sbin/sslwrap

%changelog
* Sat Jun 03 2000 Jason Spangler <jasons@usemail.com>
- Made relocatable, added Makefile patch and build dependancies

* Thu Dec 02 1999 Jason Spangler <jasons@usemail.com>
- Updated to 2.0.5 using OpenSSL

* Wed Dec 09 1998 Jason Spangler <jasons@usemail.com>
- made initial RPM

